> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shield list

> Updates a shield list.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2025.0.json PUT /shield_lists/{shield_list_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: >-
      Box Doc Gen automatically generates documents from Box Doc Gen templates.
      These resources represent the generation jobs and batches returned by the
      Box Doc Gen endpoints, including their status and output files.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /shield_lists/{shield_list_id}:
    put:
      tags:
        - Shield lists
      summary: Update shield list
      description: Updates a shield list.
      operationId: put_shield_lists_id_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: shield_list_id
          in: path
          description: >-
            The unique identifier that represents a shield list. The ID for any
            Shield List can be determined by the response from the endpoint
            fetching all shield lists for the enterprise.
          required: true
          schema:
            type: string
          example: '90fb0e17-c332-40ed-b4f9-fa8908fbbb24 '
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShieldListsUpdate'
      responses:
        '200':
          description: Returns the shield list object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShieldList'
        '404':
          description: The shield list was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '409':
          description: The shield list with this name already exists.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Update shield list
          source: >-
            curl -i -X PUT
            "https://api.box.com/2.0/shield_lists/90fb0e17-c332-40ed-b4f9-fa8908fbbb24"
            \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "name": "My Shield List",
                   "description": "Updated description",
                   "content": {
                     "type": "country",
                     "country_codes": ["US"]
                   }
                 }'
        - lang: dotnet
          label: Update shield list
          source: >-
            await
            client.ShieldLists.UpdateShieldListByIdV2025R0Async(shieldListId:
            shieldListCountry.Id, requestBody: new
            ShieldListsUpdateV2025R0(name: shieldListCountryName, content: new
            ShieldListContentCountryV2025R0(type:
            ShieldListContentCountryV2025R0TypeField.Country, countryCodes:
            Array.AsReadOnly(new [] {"US"}))) { Description = "Updated
            description" });
        - lang: java
          label: Update shield list
          source: >-
            client.getShieldLists().updateShieldListByIdV2025R0(shieldListCountry.getId(),
            new ShieldListsUpdateV2025R0.Builder(shieldListCountryName, new
            ShieldListContentCountryV2025R0.Builder(Arrays.asList("US")).type(ShieldListContentCountryV2025R0TypeField.COUNTRY).build()).description("Updated
            description").build())
        - lang: node
          label: Update shield list
          source: >-
            await
            client.shieldLists.updateShieldListByIdV2025R0(shieldListCountry.id,
            {
              name: shieldListCountryName,
              description: 'Updated description',
              content: new ShieldListContentCountryV2025R0({
                type: 'country' as ShieldListContentCountryV2025R0TypeField,
                countryCodes: ['US'],
              }),
            } satisfies ShieldListsUpdateV2025R0);
        - lang: python
          label: Update shield list
          source: |-
            client.shield_lists.update_shield_list_by_id_v2025_r0(
                shield_list_country.id,
                shield_list_country_name,
                ShieldListContentCountryV2025R0(
                    type=ShieldListContentCountryV2025R0TypeField.COUNTRY, country_codes=["US"]
                ),
                description="Updated description",
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    ShieldListsUpdate:
      description: The schema for Shield List update request.
      type: object
      properties:
        name:
          description: The name of the shield list.
          type: string
          example: My Shield List
        description:
          description: Optional description of Shield List.
          type: string
          example: A list of things that are shielded
        content:
          allOf:
            - $ref: '#/components/schemas/ShieldListContentRequest'
            - description: >-
                Specifies the type of elements in this Shield List and includes
                the elements themselves. It is not possible to update
                Integration Shield Lists by Public API.
      required:
        - name
        - content
      title: Create Shield List update request
      x-box-tag: shield_lists
    ShieldList:
      description: A standard representation of a Shield List.
      type: object
      properties:
        id:
          description: Unique identifier for the shield list.
          type: string
          example: 90fb0e17-c332-40ed-b4f9-fa8908fbbb24
        type:
          description: Type of the object.
          type: string
          example: shield_list
        name:
          description: Name of the shield list.
          type: string
          example: Shield List Name
        enterprise:
          allOf:
            - $ref: '#/components/schemas/EnterpriseReference'
            - description: Enterprise for which this list belongs to.
        description:
          description: Description of Shield List.
          type: string
          example: A list of things that are shielded
        created_at:
          description: ISO date time string when this shield list object was created.
          type: string
          format: date-time
          example: '2025-01-13T15:31:01.896Z'
        updated_at:
          description: ISO date time string when this shield list object was updated.
          type: string
          format: date-time
          example: '2025-01-13T15:31:01.896Z'
        content:
          allOf:
            - $ref: '#/components/schemas/ShieldListContent'
            - description: >-
                Specifies the type of elements in this Shield List and includes
                the elements themselves.
      required:
        - id
        - type
        - name
        - content
        - enterprise
        - created_at
        - updated_at
      title: Shield List
      x-box-resource-id: shield_list_v2025.0
      x-box-tag: shield_lists
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    ShieldListContentRequest:
      description: Representation of content of a Shield List.
      type: object
      oneOf:
        - $ref: '#/components/schemas/ShieldListContentCountry'
        - $ref: '#/components/schemas/ShieldListContentDomain'
        - $ref: '#/components/schemas/ShieldListContentEmail'
        - $ref: '#/components/schemas/ShieldListContentIp'
      title: Shield List Content for requests
    EnterpriseReference:
      description: A reference to an enterprise, used when nested within another resource.
      type: object
      properties:
        id:
          description: The unique identifier for this enterprise.
          type: string
          example: '1910967'
        type:
          description: The value will always be `enterprise`.
          type: string
          example: enterprise
          enum:
            - enterprise
          nullable: false
      title: Enterprise reference
    ShieldListContent:
      description: Representation of content of a Shield List.
      type: object
      oneOf:
        - $ref: '#/components/schemas/ShieldListContentCountry'
        - $ref: '#/components/schemas/ShieldListContentDomain'
        - $ref: '#/components/schemas/ShieldListContentEmail'
        - $ref: '#/components/schemas/ShieldListContentIp'
        - $ref: '#/components/schemas/ShieldListContentIntegration'
      title: Shield List Content
    ShieldListContentCountry:
      description: Representation of content of a Shield List that contains countries data.
      type: object
      properties:
        type:
          description: The type of content in the shield list.
          type: string
          example: country
          enum:
            - country
        country_codes:
          description: List of country codes values.
          type: array
          items:
            type: string
          example:
            - US
            - PL
          maximum: 1000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - country_codes
      title: Shield List Content (Country)
      x-box-resource-id: shield_list_content__country_v2025.0
      x-box-tag: shield_lists
    ShieldListContentDomain:
      description: Representation of content of a Shield List that contains domains data.
      type: object
      properties:
        type:
          description: The type of content in the shield list.
          type: string
          example: domain
          enum:
            - domain
        domains:
          description: List of domain.
          type: array
          items:
            type: string
          example:
            - box.com
            - example.com
          maximum: 100000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - domains
      title: Shield List Content (Domain)
      x-box-resource-id: shield_list_content__domains_v2025.0
      x-box-tag: shield_lists
    ShieldListContentEmail:
      description: >-
        Representation of content of a Shield List that contains email addresses
        data.
      type: object
      properties:
        type:
          description: The type of content in the shield list.
          type: string
          example: email
          enum:
            - email
        email_addresses:
          description: List of emails.
          type: array
          items:
            type: string
          example:
            - example1@box.com
            - example2@gmail.com
          maximum: 100000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - email_addresses
      title: Shield List Content (Email)
      x-box-resource-id: shield_list_content__email_v2025.0
      x-box-tag: shield_lists
    ShieldListContentIp:
      description: >-
        Representation of content of a Shield List that contains ip addresses
        data.
      type: object
      properties:
        type:
          description: The type of content in the shield list.
          type: string
          example: ip
          enum:
            - ip
        ip_addresses:
          description: List of ip addresses and CIDRs.
          type: array
          items:
            type: string
          example:
            - 127.0.0.1
            - 80.12.12.12/24
          maximum: 100000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - ip_addresses
      title: Shield List Content (IP)
      x-box-resource-id: shield_list_content__ip_v2025.0
      x-box-tag: shield_lists
    ShieldListContentIntegration:
      description: >-
        Representation of content of a Shield List that contains integrations
        data.
      type: object
      properties:
        type:
          description: The type of content in the shield list.
          type: string
          example: integration
          enum:
            - integration
        integrations:
          description: List of integration.
          type: array
          items:
            type: object
            properties:
              id:
                description: The ID of the integration.
                type: string
                example: 505e40b5-5d04-446a-9268-72a0ccc13669
          minimum: 1
          uniqueItems: true
      required:
        - type
        - integrations
      title: Shield List Content (Integration)
      x-box-resource-id: shield_list_content__integration_v2025.0
      x-box-tag: shield_lists
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````